
Redmine - Defect #28005

Broken Project page

2018-01-17 10:29 - leonid terekhov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.4.4

Description

I have problems with the projects page. I use the redmine installed in the docker.

Redmine version 3.4.4

Related issues:

Is duplicate of Redmine - Defect #26853: Fix hardcoded project-index width fo... Closed

History

#1 - 2018-01-17 10:42 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

It is not broken but an expected behavior. Redmine 3.4.0 and later display projects in multiple columns (r15910).

If you prefer to see projects in single-column style, modify public/stylesheets/application.css (remove 10 lines):

Index: public/stylesheets/application.css

===================================================================

--- public/stylesheets/application.css    (revision 17180)

+++ public/stylesheets/application.css    (working copy)

@@ -565,16 +565,6 @@

 ul.projects.root {margin:0; padding:0;}

 ul.projects li {list-style-type:none;}

-#projects-index {

-  column-count: auto;

-  column-width: 400px;

-  -webkit-column-count: auto;

-  -webkit-column-width: 400px;

-  -webkit-column-gap : 0.5rem;

-  -moz-column-count: auto;

-  -moz-column-width: 400px;

-  -moz-column-gap : 0.5rem;

-}

 #projects-index ul.projects li.root>ul.projects { border-left: 3px solid #e0e0e0; padding-left:1em;}

 #projects-index ul.projects li.root {margin-bottom: 1em;}

 #projects-index ul.projects li.child {margin-top: 1em;}

#2 - 2018-01-17 11:32 - leonid terekhov

Go MAEDA wrote:

It is not broken but an expected behavior. Redmine 3.4.0 and later display projects in multiple columns (r15910).

If you prefer to see projects in single-column style, modify public/stylesheets/application.css (remove 10 lines):

[...]

 Thank you

#3 - 2018-01-17 13:23 - Toshi MARUYAMA

- Resolution changed from Invalid to Duplicate

2025-05-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/15910
https://www.redmine.org/projects/redmine/repository/svn/revisions/15910


#4 - 2018-01-17 13:24 - Toshi MARUYAMA

- Is duplicate of Defect #26853: Fix hardcoded project-index width for webkit and mozilla browsers added

#5 - 2018-02-01 17:00 - Toshi MARUYAMA

- Has duplicate Defect #28122: Organization of Projects added

#6 - 2019-01-21 21:37 - Marius BĂLTEANU

- Has duplicate deleted (Defect #28122: Organization of Projects)

#7 - 2019-01-21 21:41 - Marius BĂLTEANU

This problem was fixed in latest Redmine versions (3.4.8 and 4.0.1), please see #29951 for more details. Now root projects with their subprojects are

shown in their own box without breaking on multiple columns.

Any feedback is welcome regarding the new projects page design.

Files

Экран проектов.PNG 22 KB 2018-01-17 leonid terekhov

Сведения по установке.PNG 23.8 KB 2018-01-17 leonid terekhov
